import { OnDestroy } from '@angular/core';
import { AbstractVariable, TapVariable } from '@iotize/tap/data';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class TapVariableContextComponent<ValueType = any> implements OnDestroy {
    private sub?;
    _variable?: AbstractVariable<ValueType>;
    value?: ValueType;
    get values(): Observable<ValueType> | undefined;
    get config(): TapVariable.Config | undefined;
    set variable(v: AbstractVariable<ValueType>);
    constructor();
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TapVariableContextComponent<any>, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TapVariableContextComponent<any>, "tap-variable-context", never, { "variable": "variable"; }, {}, never, ["*"], false>;
}
